Create a new employee for a company.
Security
oauth2(Required scopes: employee:create) or bearerAuth or apiKeyHeader
The name of position in the company—e.g., "CEO", "Agent", "Supervisor"
The ID of the employee's manager
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
https://sandboxapi.peach.finance/api/employees \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"firstName": "string",
"lastName": "string",
"email": "string",
"externalId": "string",
"jobName": "string",
"managerEmployeeId": "string",
"phone": "string",
"teams": [
{
"email": "string",
"externalId": "string",
"name": "string"
}
],
"userId": "string"
}'Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "firstName": "string", "lastName": "string", "assignedInvestorIds": [ … ], "availableAndPermittedTasktypes": [ … ], "companyId": "string", "displayName": "string", "email": "string", "externalId": "string", "jobName": "string", "object": "Employee", "phone": "string", "teams": [ … ], "user": { … } } }